Package com.ibm.bamoe.ilmt.springboot.dmoe

# Class DMOESwidTagGen

java.lang.Object
com.ibm.bamoe.ilmt.common.SwidFileGenerator
com.ibm.bamoe.ilmt.springboot.dmoe.DMOESwidTagGen

@Component public class DMOESwidTagGen extends SwidFileGenerator

## Constructor Summary

Constructors
Constructor
Description
`DMOESwidTagGen()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createSwidFile(org.springframework.boot.context.event.ApplicationReadyEvent event)`
`String`
`getFileName()`
`String`
`getSwidContent()`

### Methods inherited from class com.ibm.bamoe.ilmt.common.SwidFileGenerator

`createSwidFile, getFilePath`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DMOESwidTagGen

public DMOESwidTagGen()

## Method Details

### createSwidFile

@EventListener(org.springframework.boot.context.event.ApplicationReadyEvent.class) public void createSwidFile(org.springframework.boot.context.event.ApplicationReadyEvent event)

### getFileName

public String getFileName()

Specified by:
  `getFileName` in class `SwidFileGenerator`

### getSwidContent

public String getSwidContent()

Specified by:
  `getSwidContent` in class `SwidFileGenerator`